All Vulnerability Reports

CVE-2019-11290: UAA logs query parameters in tomcat access file


Severity

High

Vendor

Pivotal

Description

Pivotal Application Service, 2.5 versions prior to 2.5.17, 2.6 versions prior 2.6.12, and 2.7 versions prior to 2.7.6, and Pivotal Container Service, 1.5 versions prior to 1.5.2, and 1.6 versions prior to 1.6.1, through the inclusion of Cloud Foundry UAA, log all query parameters to tomcat's access file. If the query parameters are used to provide authentication, ie. credentials, they will be logged as well.

Affected Pivotal Products and Versions

Severity is high unless otherwise noted.

Older versions may also be affected.

  • Pivotal Application Service (PAS)
    • 2.5 versions prior to 2.5.17
    • 2.6 versions prior to 2.6.12
    • 2.7 versions prior to 2.7.6
  • Pivotal Container Service (PKS)
    • 1.5 versions prior to 1.5.2
    • 1.6 versions prior to 1.6.1
Mitigation

Users of affected versions should apply the following mitigation or upgrade. Releases that have fixed this issue include:

  • Pivotal Application Service (PAS)
    • 2.5.17
    • 2.6.12
    • 2.7.6
  • Pivotal Container Service (PKS)
    • 1.5.2
    • 1.6.1
References
History

2019-11-21: Initial vulnerability report published.